/**
 * output package name
 */
package com.kingdee.eas.custom.projectbonus.bizEnum;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.IntEnum;

/**
 * output class name
 */
public class CycleStateEnum extends IntEnum
{
    public static final int LOCK_VALUE = 1;//alias=周期锁定
    public static final int UNLOCK_VALUE = 0;//alias=周期未锁定

    public static final CycleStateEnum LOCK = new CycleStateEnum("LOCK", LOCK_VALUE);
    public static final CycleStateEnum UNLOCK = new CycleStateEnum("UNLOCK", UNLOCK_VALUE);

    /**
     * construct function
     * @param integer cycleStateEnum
     */
    private CycleStateEnum(String name, int cycleStateEnum)
    {
        super(name, cycleStateEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static CycleStateEnum getEnum(String cycleStateEnum)
    {
        return (CycleStateEnum)getEnum(CycleStateEnum.class, cycleStateEnum);
    }

    /**
     * getEnum function
     * @param String arguments
     */
    public static CycleStateEnum getEnum(int cycleStateEnum)
    {
        return (CycleStateEnum)getEnum(CycleStateEnum.class, cycleStateEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(CycleStateEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(CycleStateEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(CycleStateEnum.class);
    }
}